## Dnd Dnd |

## Functions

| makeDraggable ()

## Functions

### makeDraggable ()

    makeDraggable (actor,
                   params);

Create an object which controls drag and drop for the given actor.

If `manualMode` is `true` in `params`, do not automatically start drag and drop on click

If `dragActorMaxSize` is present in `params`, the drag actor will be scaled down to be no larger than that size in pixels.

If `dragActorOpacity` is present in `params`, the drag actor will will be set to have that opacity during the drag.

Note that when the drag actor is the source actor and the drop succeeds, the actor scale and opacity aren't reset; if the drop target wants to reuse the actor, it's up to the drop target to reset these values.

#### Parameters

actor | Source actor |
params | (optional) Additional parameters |